<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" copyrightText="&lt;copyright>&#xD;&#xA;&#xD;&#xA;Copyright (c) 2014 itemis and others.&#xD;&#xA;All rights reserved. This program and the accompanying materials&#xD;&#xA;are made available under the terms of the Eclipse Public License v2.0&#xD;&#xA;which accompanies this distribution, and is available at&#xD;&#xA;https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html&#xD;&#xA;&#xD;&#xA;Contributors: &#xD;&#xA;    itemis - Initial API and implementation&#xD;&#xA;&#xD;&#xA;&lt;/copyright>"
    modelDirectory="/org.eclipse.sphinx.tests.emf.serialization/src-gen" editDirectory=""
    editorDirectory="" modelPluginID="org.eclipse.sphinx.tests.emf.serialization" modelName="Extnodes"
    editPluginClass="" editorPluginClass="" updateClasspath="false" testsDirectory=""
    testSuiteClass="" importerID="org.eclipse.emf.importer.ecore" complianceLevel="5.0"
    copyrightFields="false" editPluginID="org.eclipse.sphinx.tests.emf.serialization.edit"
    editorPluginID="org.eclipse.sphinx.tests.emf.serialization.edit" testsPluginID="org.eclipse.sphinx.tests.emf.serialization.edit"
    usedGenPackages="nodes.genmodel#//nodes" operationReflection="true">
  <foreignModel>extnodes.ecore</foreignModel>
  <genPackages prefix="ExtNodes" basePackage="org.eclipse.sphinx.tests.emf.serialization.model"
      resource="XML" disposableProviderFactory="true" ecorePackage="extnodes.ecore#/">
    <genClasses ecoreClass="extnodes.ecore#//ExtendedNode">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute extnodes.ecore#//ExtendedNode/altenativeName"/>
    </genClasses>
    <genClasses ecoreClass="extnodes.ecore#//Extension">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference extnodes.ecore#//Extension/extensions"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
